<template>
  <div>
    <h2>{{ heading }}</h2>

    <div class="mt-2">
      <v-text-field
        ref="firstElement"
        v-validate="'required|max:30'"
        :value="name"
        @change="name = $event"
        :counter="30"
        :error-messages="errors.collect('name')"
        label="Nazwa firmy"
        data-vv-as="Nazwa firmy"
        data-vv-name="name"
        required
      ></v-text-field>

      <v-text-field
        v-validate="'required|max:30'"
        :value="street"
        @change="street = $event"
        :counter="30"
        :error-messages="errors.collect('street')"
        label="Ulica"
        data-vv-as="Ulica"
        data-vv-name="street"
        required
      ></v-text-field>

      <v-text-field
        v-validate="'required|max:20'"
        :value="buildingNumber"
        @change="buildingNumber = $event"
        :counter="20"
        :error-messages="errors.collect('buildingNumber')"
        label="Numer budynku, lokalu"
        data-vv-as="Numer budynku, lokalu"
        data-vv-name="buildingNumber"
        required
      ></v-text-field>

      <v-text-field
        v-validate="{ required: true, max: 6, regex: /[0-9]{2}-[0-9]{3}$/ }"
        :value="postcode"
        @change="postcode = $event"
        :counter="6"
        :error-messages="errors.collect('postcode')"
        label="Kod pocztowy"
        data-vv-as="Kod pocztowy"
        data-vv-name="postcode"
        required
      ></v-text-field>

      <v-text-field
        v-validate="'required|max:30'"
        :value="city"
        @change="city = $event"
        :counter="30"
        :error-messages="errors.collect('city')"
        label="Miasto"
        data-vv-as="Miasto"
        data-vv-name="city"
        required
      ></v-text-field>
    </div>
  </div>
</template>


<script>
export default {
  inject: ['parentValidator'],
  data() {
    return {
      heading: 'Dane pracodawcy',
    };
  },
  computed: {
    name: {
      get() { return this.$store.getters['form/employer/getName']; },
      set(value) { this.$store.dispatch('form/employer/setName', value); },
    },
    street: {
      get() { return this.$store.getters['form/employer/getStreet']; },
      set(value) { this.$store.dispatch('form/employer/setStreet', value); },
    },
    buildingNumber: {
      get() { return this.$store.getters['form/employer/getBuildingNumber']; },
      set(value) { this.$store.dispatch('form/employer/setBuildingNumber', value); },
    },
    city: {
      get() { return this.$store.getters['form/employer/getCity']; },
      set(value) { this.$store.dispatch('form/employer/setCity', value); },
    },
    postcode: {
      get() { return this.$store.getters['form/employer/getPostcode']; },
      set(value) { this.$store.dispatch('form/employer/setPostcode', value); },
    },
  },
  created() {
    this.$validator = this.parentValidator;
  },
  mounted() {
    this.$refs.firstElement.focus();
  },
};
</script>
